When installing Editor via npm, how can I install the editor.dataTables.css file?

When installing Editor via npm, how can I install the editor.dataTables.css file?

WCC-2WCC-2 Posts: 3Questions: 1Answers: 0

Hello,

I've installed Editor via npm and then used the install.js script. This is working correctly and I have Editor available for use. I also have the editor.bootstrap5.css file so lots of the formatting is correct - that file installs correctly.

Editor NPM install script
Installing node_modules/datatables.net-editor-bs5/css/editor.bootstrap5.min.css
Installing node_modules/datatables.net-editor-bs5/css/editor.bootstrap5.css
Installing node_modules/datatables.net-editor-bs5/js/editor.bootstrap5.js
Installing node_modules/datatables.net-editor/js/dataTables.editor.min.js
Installing node_modules/datatables.net-editor-bs5/js/editor.bootstrap5.min.js
Installing node_modules/datatables.net-editor/js/dataTables.editor.js

However, the editor.dataTables.css is never installed so the modal when creating/ editing an entry has no styling. The file is present in the Editor-2.0.4.zip download. I've temporarily (I hope) had to create a file with that file's CSS in. I don't really want to add that file into the HEAD css includes as all my CSS is bundled together. Does anyone know what I need to do to install it, please, or should I just continue manually creating the file?

Thanks,

Stephen

This question has an accepted answers - jump to answer

Answers

  • WCC-2WCC-2 Posts: 3Questions: 1Answers: 0

    I think I've worked it out for myself. I need to also install

    datatables.net-editor-dt

    then the css is available.

  • allanallan Posts: 54,523Questions: 1Answers: 8,525 Site admin
    Answer ✓

    Hi,

    Thanks for posting back - yes you are spot on. As well as the core files for each of the extensions to DataTables, you also need to install one of the styling files (which is how we allow support for the various styling frameworks).

    Allan

  • WCC-2WCC-2 Posts: 3Questions: 1Answers: 0

    Thanks, Allan. I've installed the Bootstrap 5 module and it's working perfectly now.

    Thanks,

    Stephen

Sign In or Register to comment.